function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Tables","2");
A=P.fN("Preface","3");
var B=A.fN("Changes from the Previous Release of this Guide","4");
B=A.fN("Related Documentation","5");
var C=B.fN("TIBCO Enterprise Message Service Documentation","5#41244");
C=B.fN("Other TIBCO Product Documentation","5#41280");
C=B.fN("Third Party Documentation","5#41295");
B=A.fN("Typographical Conventions","6");
B=A.fN("Connecting with TIBCO Resources","7");
C=B.fN("How to Join TIBCOmmunity","7#39327");
C=B.fN("How to Access TIBCO Documentation","7#41109");
C=B.fN("How to Contact TIBCO Support","7#39302");
A=P.fN("Chapter\u00a01 Introduction","8");
B=A.fN("Overview","9");
B=A.fN("Excluded Features and Restrictions","10");
B=A.fN("Naming Conventions and Length Limitations","11");
B=A.fN("Strings and Character Encodings","12");
C=B.fN("IBM z/OS and IBM i (i5)\u2014COBOL and C","12#3094754");
B=A.fN("Configuring C and COBOL Clients for Fault-Tolerant Connections","13");
A=P.fN("Chapter\u00a02 Messages","14");
B=A.fN("Parts of a Message","15");
B=A.fN("Body Types","16");
B=A.fN("Headers","17");
B=A.fN("Properties","18");
C=B.fN("Setting Message Properties","18#1839637");
C=B.fN("EMS Properties","18#1839648");
C=B.fN("JMS Properties","18#3106357");
B=A.fN("Message Selectors","19");
B=A.fN("Data Type Conversion","20");
B=A.fN("tibemsMsg","21");
C=B.fN("tibemsMsg_Acknowledge","22");
C=B.fN("tibemsMsg_ClearBody","23");
C=B.fN("tibemsMsg_ClearProperties","24");
C=B.fN("tibemsMsg_Create","25");
C=B.fN("tibemsMsg_CreateCopy","26");
C=B.fN("tibemsMsg_CreateFromBytes","27");
C=B.fN("tibemsMsg_Destroy","28");
C=B.fN("tibemsMsg_GetAsBytes","29");
C=B.fN("tibemsMsg_GetAsBytesCopy","30");
C=B.fN("tibemsMsg_GetBodyType","31");
C=B.fN("tibemsMsg_GetByteSize","32");
C=B.fN("tibemsMsg_GetCorrelationID","33");
C=B.fN("tibemsMsg_GetDeliveryMode","34");
C=B.fN("tibemsMsg_GetDeliveryTime","35");
C=B.fN("tibemsMsg_GetDestination","36");
C=B.fN("tibemsMsg_GetEncoding","37");
C=B.fN("tibemsMsg_GetExpiration","38");
C=B.fN("tibemsMsg_GetMessageID","39");
C=B.fN("tibemsMsg_GetPriority","40");
C=B.fN("tibemsMsg_Get Property","41");
C=B.fN("tibemsMsg_GetPropertyNames","42");
C=B.fN("tibemsMsg_GetRedelivered","43");
C=B.fN("tibemsMsg_GetReplyTo","44");
C=B.fN("tibemsMsg_GetTimestamp","45");
C=B.fN("tibemsMsg_GetType","46");
C=B.fN("tibemsMsg_MakeWriteable","47");
C=B.fN("tibemsMsg_Print","48");
C=B.fN("tibemsMsg_PrintToBuffer","49");
C=B.fN("tibemsMsg_PropertyExists","50");
C=B.fN("tibemsMsg_Recover","51");
C=B.fN("tibemsMsg_SetCorrelationID","52");
C=B.fN("tibemsMsg_SetDeliveryMode","53");
C=B.fN("tibemsMsg_SetDestination","54");
C=B.fN("tibemsMsg_SetEncoding","55");
C=B.fN("tibemsMsg_SetExpiration","56");
C=B.fN("tibemsMsg_SetMessageID","57");
C=B.fN("tibemsMsg_SetPriority","58");
C=B.fN("tibemsMsg_Set Property","59");
C=B.fN("tibemsMsg_SetRedelivered","60");
C=B.fN("tibemsMsg_SetReplyTo","61");
C=B.fN("tibemsMsg_SetTimestamp","62");
C=B.fN("tibemsMsg_SetType","63");
B=A.fN("tibemsBytesMsg","64");
C=B.fN("tibemsBytesMsg_Create","65");
C=B.fN("tibemsBytesMsg_GetBodyLength","66");
C=B.fN("tibemsBytesMsg_GetBytes","67");
C=B.fN("tibemsBytesMsg_Read","68");
C=B.fN("tibemsBytesMsg_ReadBytes","69");
C=B.fN("tibemsBytesMsg_Reset","70");
C=B.fN("tibemsBytesMsg_SetBytes","71");
C=B.fN("tibemsBytesMsg_Write","72");
C=B.fN("tibemsBytesMsg_WriteBytes","73");
B=A.fN("tibemsMapMsg","74");
C=B.fN("tibemsMapMsg_Create","75");
C=B.fN("tibemsMapMsg_Get","76");
C=B.fN("tibemsMapMsg_GetMapNames","77");
C=B.fN("tibemsMapMsg_ItemExists","78");
C=B.fN("tibemsMapMsg\u2014Set","79");
C=B.fN("tibemsMapMsg_SetBytes","80");
B=A.fN("tibemsObjectMsg","81");
C=B.fN("tibemsObjectMsg_Create","82");
C=B.fN("tibemsObjectMsg_GetObjectBytes","83");
C=B.fN("tibemsObjectMsg_SetObjectBytes","84");
B=A.fN("tibemsStreamMsg","85");
C=B.fN("tibemsStreamMsg_Create","86");
C=B.fN("tibemsStreamMsg_FreeField","87");
C=B.fN("tibemsStreamMsg_Read","88");
C=B.fN("tibemsStreamMsg_ReadBytes","89");
C=B.fN("tibemsStreamMsg_ReadField","90");
C=B.fN("tibemsStreamMsg_Reset","91");
C=B.fN("tibemsStreamMsg_Write","92");
C=B.fN("tibemsStreamMsg_WriteBytes","93");
B=A.fN("tibemsTextMsg","94");
C=B.fN("tibemsTextMsg_Create","95");
C=B.fN("tibemsTextMsg_GetText","96");
C=B.fN("tibemsTextMsg_SetText","97");
B=A.fN("tibemsData","98");
B=A.fN("tibemsDeliveryMode","99");
B=A.fN("tibemsNpCheckMode","100");
B=A.fN("tibemsMsgCompletionCallback","101");
B=A.fN("tibemsMsgEnum","102");
C=B.fN("tibemsMsgEnum_Destroy","103");
C=B.fN("tibemsMsgEnum_GetNextName","104");
B=A.fN("tibemsMsgField","105");
C=B.fN("tibemsMsgField_Print","106");
C=B.fN("tibemsMsgField_PrintToBuffer","107");
B=A.fN("tibemsMsgType","108");
A=P.fN("Chapter\u00a03 Destination","109");
B=A.fN("Destination Overview","110");
B=A.fN("tibemsDestinationType","111");
B=A.fN("tibemsDestination","112");
C=B.fN("tibemsDestination_Copy","113");
C=B.fN("tibemsDestination_Create","114");
C=B.fN("tibemsDestination_Destroy","115");
C=B.fN("tibemsDestination_GetName","116");
C=B.fN("tibemsDestination_GetType","117");
B=A.fN("tibemsQueue","118");
C=B.fN("tibemsQueue_Create","119");
C=B.fN("tibemsQueue_Destroy","120");
C=B.fN("tibemsQueue_GetQueueName","121");
B=A.fN("tibemsTemporaryQueue","122");
B=A.fN("tibemsTemporaryTopic","123");
B=A.fN("tibemsTopic","124");
C=B.fN("tibemsTopic_Create","125");
C=B.fN("tibemsTopic_Destroy","126");
C=B.fN("tibemsTopic_GetTopicName","127");
A=P.fN("Chapter\u00a04 Consumer","128");
B=A.fN("tibemsMsgConsumer","129");
C=B.fN("tibemsMsgConsumer_Close","130");
C=B.fN("tibemsMsgConsumer_GetDestination","131");
C=B.fN("tibemsMsgConsumer_GetMsgListener","132");
C=B.fN("tibemsMsgConsumer_GetMsgSelector","133");
C=B.fN("tibemsMsgConsumer_GetNoLocal","134");
C=B.fN("tibemsMsgConsumer_Receive","135");
C=B.fN("tibemsMsgConsumer_ReceiveNoWait","136");
C=B.fN("tibemsMsgConsumer_ReceiveTimeout","137");
C=B.fN("tibemsMsgConsumer_SetMsgListener","138");
B=A.fN("tibemsMsgCallback","139");
A=P.fN("Chapter\u00a05 Producer","140");
B=A.fN("tibemsMsgProducer","141");
C=B.fN("tibemsMsgProducer_AsyncSend","142");
C=B.fN("tibemsMsgProducer_Close","143");
C=B.fN("tibemsMsgProducer_GetDeliveryDelay","144");
C=B.fN("tibemsMsgProducer_GetDeliveryMode","145");
C=B.fN("tibemsMsgProducer_GetDestination","146");
C=B.fN("tibemsMsgProducer_GetDisableMessageID","147");
C=B.fN("tibemsMsgProducer_GetDisableMessageTimestamp","148");
C=B.fN("tibemsMsgProducer_GetNPSendCheckMode","149");
C=B.fN("tibemsMsgProducer_GetPriority","150");
C=B.fN("tibemsMsgProducer_GetTimeToLive","151");
C=B.fN("tibemsMsgProducer_Send","152");
C=B.fN("tibemsMsgProducer_SetDeliveryDelay","153");
C=B.fN("tibemsMsgProducer_SetDeliveryMode","154");
C=B.fN("tibemsMsgProducer_SetDisableMessageID","155");
C=B.fN("tibemsMsgProducer_SetDisableMessageTimestamp","156");
C=B.fN("tibemsMsgProducer_SetNPSendCheckMode","157");
C=B.fN("tibemsMsgProducer_SetPriority","158");
C=B.fN("tibemsMsgProducer_SetTimeToLive","159");
A=P.fN("Chapter\u00a06 Requestor","160");
B=A.fN("tibemsMsgRequestor","161");
C=B.fN("tibemsMsgRequestor_Close","162");
C=B.fN("tibemsMsgRequestor_Create","163");
C=B.fN("tibemsMsgRequestor_Request","164");
A=P.fN("Chapter\u00a07 Connection","165");
B=A.fN("tibemsConnection","166");
C=B.fN("tibemsConnection_Close","167");
C=B.fN("tibemsConnection_Create","168");
C=B.fN("tibemsConnection_CreateSession","169");
C=B.fN("tibemsConnection_GetActiveURL","170");
C=B.fN("tibemsConnection_GetClientId","171");
C=B.fN("tibemsConnection_GetExceptionListener","172");
C=B.fN("tibemsConnection_GetMetaData","173");
C=B.fN("tibemsConnection_IsDisconnected","174");
C=B.fN("tibemsConnection_SetClientId","175");
C=B.fN("tibemsConnection_SetExceptionListener","176");
C=B.fN("tibemsConnection_Start","177");
C=B.fN("tibemsConnection_Stop","178");
B=A.fN("tibemsConnectionMetaData","179");
C=B.fN("tibemsConnectionMetaData_GetEMS","180");
C=B.fN("tibemsConnectionMetaData_GetProvider","181");
C=B.fN("tibemsConnectionMetaData_GetEMSProviderName","182");
B=A.fN("tibemsExceptionCallback","183");
B=A.fN("tibemsMulticastExceptionCallback","184");
B=A.fN("tibemsSSL","185");
C=B.fN("tibemsSSL_GetTrace","186");
C=B.fN("tibemsSSL_OpenSSLVersion","187");
C=B.fN("tibemsSSL_SetTrace","188");
B=A.fN("tibemsSSLParams","189");
C=B.fN("tibemsSSLParams_AddIssuerCert","190");
C=B.fN("tibemsSSLParams_AddTrustedCert","191");
C=B.fN("tibemsSSLParams_Create","192");
C=B.fN("tibemsSSLParams_Destroy","193");
C=B.fN("tibemsSSLParams_GetIdentity","194");
C=B.fN("tibemsSSLParams_GetPrivateKey","195");
C=B.fN("tibemsSSLParams_SetAuthOnly","196");
C=B.fN("tibemsSSLParams_SetCiphers","197");
C=B.fN("tibemsSSLParams_SetExpectedHostName","198");
C=B.fN("tibemsSSLParams_SetHostNameVerifier","199");
C=B.fN("tibemsSSLParams_SetIdentity","200");
C=B.fN("tibemsSSLParams_SetPrivateKey","201");
C=B.fN("tibemsSSLParams_SetRandData","202");
C=B.fN("tibemsSSLParams_SetVerifyHost","203");
B=A.fN("tibemsSSLHostNameVerifier","204");
A=P.fN("Chapter\u00a08 Connection Factory","205");
B=A.fN("tibemsConnectionFactory","206");
C=B.fN("tibemsConnectionFactory_Create","207");
C=B.fN("tibemsConnectionFactory_CreateConnection","208");
C=B.fN("tibemsConnectionFactory_CreateXAConnection","209");
C=B.fN("tibemsConnectionFactory_Destroy","210");
C=B.fN("tibemsConnectionFactory_GetSSLProxyHost","211");
C=B.fN("tibemsConnectionFactory_GetSSLProxyPort","212");
C=B.fN("tibemsConnectionFactory_GetSSLProxyUser","213");
C=B.fN("tibemsConnectionFactory_GetSSLProxyPassword","214");
C=B.fN("tibemsConnectionFactory_Print","215");
C=B.fN("tibemsConnectionFactory_PrintToBuffer","216");
C=B.fN("tibemsConnectionFactory_SetClientID","217");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptCount","218");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptDelay","219");
C=B.fN("tibemsConnectionFactory_SetConnectAttemptTimeout","220");
C=B.fN("tibemsConnectionFactory_SetMetric","221");
C=B.fN("tibemsConnectionFactory_SetMulticastDaemon","222");
C=B.fN("tibemsConnectionFactory_SetMulticastEnabled","223");
C=B.fN("tibemsConnectionFactory_SetPkPassword","224");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptCount","225");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptDelay","226");
C=B.fN("tibemsConnectionFactory_SetReconnectAttemptTimeout","227");
C=B.fN("tibemsConnectionFactory_SetServerURL","228");
C=B.fN("tibemsConnectionFactory_SetSSLParams","229");
C=B.fN("tibemsConnectionFactory_SetSSLProxy","230");
C=B.fN("tibemsConnectionFactory_SetSSLProxyAuth","231");
C=B.fN("tibemsConnectionFactory_SetUserName","232");
C=B.fN("tibemsConnectionFactory_SetUserPassword","233");
C=B.fN("tibemsUFOConnectionFactory_Create","234");
C=B.fN("tibemsUFOConnectionFactory_CreateFromConnectionFactory","235");
C=B.fN("tibemsUFOConnectionFactory_RecoverConnection","236");
B=A.fN("tibemsFactoryLoadBalanceMetric","237");
A=P.fN("Chapter\u00a09 Session","238");
B=A.fN("tibemsSession","239");
C=B.fN("tibemsSession_Close","240");
C=B.fN("tibemsSession_Commit","241");
C=B.fN("tibemsSession_CreateBrowser","242");
C=B.fN("tibemsSession_CreateBytesMessage","243");
C=B.fN("tibemsSession_CreateConsumer","244");
C=B.fN("tibemsSession_CreateDurableSubscriber","245");
C=B.fN("tibemsSession_CreateMapMessage","246");
C=B.fN("tibemsSession_CreateMessage","247");
C=B.fN("tibemsSession_CreateProducer","248");
C=B.fN("tibemsSession_CreateSharedConsumer","249");
C=B.fN("tibemsSession_CreateSharedDurableConsumer","250");
C=B.fN("tibemsSession_CreateStreamMessage","251");
C=B.fN("tibemsSession_CreateTemporaryQueue","252");
C=B.fN("tibemsSession_CreateTemporaryTopic","253");
C=B.fN("tibemsSession_CreateTextMessage","254");
C=B.fN("tibemsSession_DeleteTemporaryQueue","255");
C=B.fN("tibemsSession_DeleteTemporaryTopic","256");
C=B.fN("tibemsSession_GetAcknowledgeMode","257");
C=B.fN("tibemsSession_GetTransacted","258");
C=B.fN("tibemsSession_Recover","259");
C=B.fN("tibemsSession_Rollback","260");
C=B.fN("tibemsSession_Unsubscribe","261");
B=A.fN("tibemsAcknowledgeMode","262");
A=P.fN("Chapter\u00a010 Queue Browser","263");
B=A.fN("tibemsQueueBrowser","264");
C=B.fN("tibemsQueueBrowser_Close","265");
C=B.fN("tibemsQueueBrowser_GetMsgSelector","266");
C=B.fN("tibemsQueueBrowser_GetNext","267");
C=B.fN("tibemsQueueBrowser_GetQueue","268");
A=P.fN("Chapter\u00a011 Name Server Lookup","269");
B=A.fN("tibemsLookupContext","270");
C=B.fN("tibemsLookupContext_Create","271");
C=B.fN("tibemsLookupContext_CreateExternal","272");
C=B.fN("tibemsLookupContext_Destroy","273");
C=B.fN("tibemsLookupContext_Lookup","274");
B=A.fN("tibemsLookupParams","275");
C=B.fN("tibemsLookupParams_Create","276");
C=B.fN("tibemsLookupParams_Destroy","277");
C=B.fN("tibemsLookupParams_GetLdapServerUrl","278");
C=B.fN("tibemsLookupParams_SetLdapBaseDN","279");
C=B.fN("tibemsLookupParams_SetLdapCAFile","280");
C=B.fN("tibemsLookupParams_SetLdapCAPath","281");
C=B.fN("tibemsLookupParams_SetLdapCertFile","282");
C=B.fN("tibemsLookupParams_SetLdapCiphers","283");
C=B.fN("tibemsLookupParams_SetLdapConnType","284");
C=B.fN("tibemsLookupParams_SetLdapCredential","285");
C=B.fN("tibemsLookupParams_SetLdapKeyFile","286");
C=B.fN("tibemsLookupParams_SetLdapPrincipal","287");
C=B.fN("tibemsLookupParams_SetLdapRandFile","288");
C=B.fN("tibemsLookupParams_SetLdapSearchScope","289");
C=B.fN("tibemsLookupParams_SetLdapServerUrl","290");
A=P.fN("Chapter\u00a012 XA\u2014External Transaction Manager","291");
B=A.fN("tibemsXAConnection","292");
C=B.fN("tibemsXAConnection_Close","293");
C=B.fN("tibemsXAConnection_Create","294");
C=B.fN("tibemsXAConnection_CreateXASession","295");
C=B.fN("tibemsXAConnection_Get","296");
C=B.fN("tibemsXAConnection_GetXASession","297");
B=A.fN("XID","298");
B=A.fN("tibemsXAResource","299");
C=B.fN("tibemsXAResource_Commit","300");
C=B.fN("tibemsXAResource_End","301");
C=B.fN("tibemsXAResource_Forget","302");
C=B.fN("tibemsXAResource_GetRMID","303");
C=B.fN("tibemsXAResource_GetTransactionTimeout","304");
C=B.fN("tibemsXAResource_isSameRM","305");
C=B.fN("tibemsXAResource_Prepare","306");
C=B.fN("tibemsXAResource_Recover","307");
C=B.fN("tibemsXAResource_Rollback","308");
C=B.fN("tibemsXAResource_SetRMID","309");
C=B.fN("tibemsXAResource_SetTransactionTimeout","310");
C=B.fN("tibemsXAResource_Start","311");
B=A.fN("tibemsXASession","312");
C=B.fN("tibemsXASession_Close","313");
C=B.fN("tibemsXASession_GetSession","314");
C=B.fN("tibemsXASession_GetXAResource","315");
A=P.fN("Chapter\u00a013 Types","316");
B=A.fN("Uniform Types","317");
A=P.fN("Chapter\u00a014 Utilities","318");
B=A.fN("Utility Functions","319");
C=B.fN("tibems_Close","320");
C=B.fN("tibems_GetAllowCloseInCallback","321");
C=B.fN("tibems_GetConnectAttemptCount","322");
C=B.fN("tibems_GetConnectAttemptDelay","323");
C=B.fN("tibems_GetConnectAttemptTimeout","324");
C=B.fN("tibems_GetExceptionOnFTEvents","325");
C=B.fN("tibems_GetExceptionOnFTSwitch","326");
C=B.fN("tibems_GetMulticastDaemon","327");
C=B.fN("tibems_GetMulticastEnabled","328");
C=B.fN("tibems_GetReconnectAttemptCount","329");
C=B.fN("tibems_GetReconnectAttemptDelay","330");
C=B.fN("tibems_GetReconnectAttemptTimeout","331");
C=B.fN("tibems_GetSocketReceiveBufferSize","332");
C=B.fN("tibems_GetSocketSendBufferSize","333");
C=B.fN("tibems_IsConsumerMulticast","334");
C=B.fN("tibems_Open","335");
C=B.fN("tibems_SetAllowCloseInCallback","336");
C=B.fN("tibems_SetConnectAttemptCount","337");
C=B.fN("tibems_SetConnectAttemptDelay","338");
C=B.fN("tibems_SetConnectAttemptTimeout","339");
C=B.fN("tibems_SetExceptionOnFTEvents","340");
C=B.fN("tibems_setExceptionOnFTSwitch","341");
C=B.fN("tibems_SetMulticastDaemon","342");
C=B.fN("tibems_SetMulticastEnabled","343");
C=B.fN("tibems_SetMulticastExceptionListener","344");
C=B.fN("tibems_SetReconnectAttemptCount","345");
C=B.fN("tibems_SetReconnectAttemptDelay","346");
C=B.fN("tibems_SetReconnectAttemptTimeout","347");
C=B.fN("tibems_SetSocketReceiveBufferSize","348");
C=B.fN("tibems_SetSocketSendBufferSize","349");
C=B.fN("tibems_SetTraceFile","350");
C=B.fN("tibems_Sleep","351");
C=B.fN("tibems_Version","352");
A=P.fN("Chapter\u00a015 Administration","353");
B=A.fN("Administration Overview","354");
B=A.fN("tibemsAdmin","355");
C=B.fN("tibemsAdmin_Close","356");
C=B.fN("tibemsAdmin_Create","357");
C=B.fN("tibemsAdmin_GetCommandTimeout","358");
C=B.fN("tibemsAdmin_GetConsumer","359");
C=B.fN("tibemsAdmin_GetConsumers","360");
C=B.fN("tibemsAdmin_GetInfo","361");
C=B.fN("tibemsAdmin_GetProducerStatistics","362");
C=B.fN("tibemsAdmin_GetQueue","363");
C=B.fN("tibemsAdmin_GetQueues","364");
C=B.fN("tibemsAdmin_GetSubscriptions","365");
C=B.fN("tibemsAdmin_GetTopic","366");
C=B.fN("tibemsAdmin_GetTopics","367");
C=B.fN("tibemsAdmin_SetCommandTimeout","368");
C=B.fN("tibemsAdmin_SetExceptionListener","369");
B=A.fN("tibemsCollection","370");
C=B.fN("tibemsCollection_Destroy","371");
C=B.fN("tibemsCollection_GetCount","372");
C=B.fN("tibemsCollection_GetFirst","373");
C=B.fN("tibemsCollection_GetNext","374");
B=A.fN("tibemsConsumerInfo","375");
C=B.fN("tibemsConsumerInfo_Destroy","376");
C=B.fN("tibemsConsumerInfo_GetCreateTime","377");
C=B.fN("tibemsConsumerInfo_GetCurrentMsgCountSentByServer","378");
C=B.fN("tibemsConsumerInfo_GetCurrentMsgSizeSentByServer","379");
C=B.fN("tibemsConsumerInfo_GetDestinationName","380");
C=B.fN("tibemsConsumerInfo_GetDestinationType","381");
C=B.fN("tibemsConsumerInfo_GetDetailedStatistics","382");
C=B.fN("tibemsConsumerInfo_GetDurableName","383");
C=B.fN("tibemsConsumerInfo_GetElapsedSinceLastAcknowledged","384");
C=B.fN("tibemsConsumerInfo_GetElapsedSinceLastSent","385");
C=B.fN("tibemsConsumerInfo_GetID","386");
C=B.fN("tibemsConsumerInfo_GetPendingMessageCount","387");
C=B.fN("tibemsConsumerInfo_GetPendingMessageSize","388");
C=B.fN("tibemsConsumerInfo_GetSharedSubscriptionName","389");
C=B.fN("tibemsConsumerInfo_GetStatistics","390");
C=B.fN("tibemsConsumerInfo_GetTotalAcknowledgedCount","391");
C=B.fN("tibemsConsumerInfo_GetTotalMsgCountSentByServer","392");
C=B.fN("tibemsConsumerInfo_IsActive","393");
C=B.fN("tibemsConsumerInfo_IsConnected","394");
C=B.fN("tibemsConsumerInfo_IsConnectionConsumer","395");
C=B.fN("tibemsConsumerInfo_IsShared","396");
B=A.fN("tibemsDetailedDestStat","397");
C=B.fN("tibemsDetailedDestStat_GetDestinationName","398");
C=B.fN("tibemsDetailedDestStat_GetDestinationType","399");
C=B.fN("tibemsDetailedDestStat_GetStatData","400");
B=A.fN("tibemsProducerInfo","401");
C=B.fN("tibemsProducerInfo_Destroy","402");
C=B.fN("tibemsProducerInfo_GetCreateTime","403");
C=B.fN("tibemsProducerInfo_GetDestinationName","404");
C=B.fN("tibemsProducerInfo_GetDestinationType","405");
C=B.fN("tibemsProducerInfo_GetDetailedStatistics","406");
C=B.fN("tibemsProducerInfo_GetID","407");
C=B.fN("tibemsProducerInfo_GetStatistics","408");
B=A.fN("tibemsQueueInfo","409");
C=B.fN("tibemsQueueInfo_Create","410");
C=B.fN("tibemsQueueInfo_Destroy","411");
C=B.fN("tibemsQueueInfo_GetDeliveredMessageCount","412");
C=B.fN("tibemsQueueInfo_GetFlowControlMaxBytes","413");
C=B.fN("tibemsQueueInfo_GetInboundStatistics","414");
C=B.fN("tibemsQueueInfo_GetMaxBytes","415");
C=B.fN("tibemsQueueInfo_GetMaxMsgs","416");
C=B.fN("tibemsQueueInfo_GetName","417");
C=B.fN("tibemsQueueInfo_GetOutboundStatistics","418");
C=B.fN("tibemsQueueInfo_GetOverflowPolicy","419");
C=B.fN("tibemsQueueInfo_GetPendingMessageCount","420");
C=B.fN("tibemsQueueInfo_GetPendingMessageSize","421");
C=B.fN("tibemsQueueInfo_GetPendingPersistentMessageCount","422");
C=B.fN("tibemsQueueInfo_GetPendingPersistentMessageSize","423");
C=B.fN("tibemsQueueInfo_GetReceiverCount","424");
B=A.fN("tibemsServerInfo","425");
C=B.fN("tibemsServerInfo_Destroy","426");
C=B.fN("tibemsServerInfo_GetConsumerCount","427");
C=B.fN("tibemsServerInfo_GetProducerCount","428");
C=B.fN("tibemsServerInfo_GetQueueCount","429");
C=B.fN("tibemsServerInfo_GetTopicCount","430");
B=A.fN("tibemsStatData","431");
C=B.fN("tibemsStatData_GetByteRate","432");
C=B.fN("tibemsStatData_GetMessageRate","433");
C=B.fN("tibemsStatData_GetTotalBytes","434");
C=B.fN("tibemsStatData_GetTotalMessages","435");
B=A.fN("tibemsSubscriptionInfo","436");
C=B.fN("tibemsSubscriptionInfo_Destroy","437");
C=B.fN("tibemsSubscriptionInfo_GetConsumerCount","438");
C=B.fN("tibemsSubscriptionInfo_GetCreateTime","439");
C=B.fN("tibemsSubscriptionInfo_GetID","440");
C=B.fN("tibemsSubscriptionInfo_GetName","441");
C=B.fN("tibemsSubscriptionInfo_GetPendingMessageCount","442");
C=B.fN("tibemsSubscriptionInfo_GetPendingMessageSize","443");
C=B.fN("tibemsSubscriptionInfo_GetSelector","444");
C=B.fN("tibemsSubscriptionInfo_GetTopicName","445");
C=B.fN("tibemsSubscriptionInfo_HasSelector","446");
C=B.fN("tibemsSubscriptionInfo_IsDurable","447");
C=B.fN("tibemsSubscriptionInfo_IsShared","448");
B=A.fN("tibemsTopicInfo","449");
C=B.fN("tibemsTopicInfo_Create","450");
C=B.fN("tibemsTopicInfo_Destroy","451");
C=B.fN("tibemsTopicInfo_GetActiveDurableCount","452");
C=B.fN("tibemsTopicInfo_GetDurableCount","453");
C=B.fN("tibemsTopicInfo_GetDurableSubscriptionCount","454");
C=B.fN("tibemsTopicInfo_GetFlowControlMaxBytes","455");
C=B.fN("tibemsTopicInfo_GetInboundStatistics","456");
C=B.fN("tibemsTopicInfo_GetMaxBytes","457");
C=B.fN("tibemsTopicInfo_GetMaxMsgs","458");
C=B.fN("tibemsTopicInfo_GetName","459");
C=B.fN("tibemsTopicInfo_GetOutboundStatistics","460");
C=B.fN("tibemsTopicInfo_GetOverflowPolicy","461");
C=B.fN("tibemsTopicInfo_GetPendingMessageCount","462");
C=B.fN("tibemsTopicInfo_GetPendingMessageSize","463");
C=B.fN("tibemsTopicInfo_GetPendingPersistentMessageCount","464");
C=B.fN("tibemsTopicInfo_GetPendingPersistentMessageSize","465");
C=B.fN("tibemsTopicInfo_GetSubscriberCount","466");
C=B.fN("tibemsTopicInfo_GetSubscriptionCount","467");
A=P.fN("Chapter\u00a016 Exception","468");
B=A.fN("tibems_status","469");
C=B.fN("tibemsStatus_GetText","470");
B=A.fN("tibemsErrorContext","471");
C=B.fN("tibemsErrorContext_Create","472");
C=B.fN("tibemsErrorContext_Close","473");
C=B.fN("tibemsErrorContext_GetLastErrorString","474");
C=B.fN("tibemsErrorContext_GetLastErrorStackTrace","475");
A=P.fN("Chapter\u00a017 IBM z/OS and IBM i","476");
B=A.fN("IBM EBCDIC Platform Calls","477");
C=B.fN("tibems_SetCodePages()","478");
B=A.fN("IBM z/OS Functions","479");
C=B.fN("tibx_MVSConsole_SetConsumer()","480");
C=B.fN("tibx_MVSConsole_Create()","481");
C=B.fN("Console_Response","482");
B=A.fN("SSL Implementation on IBM EBCDIC Systems","483");
C=B.fN("IBM System SSL Environment Variables on z/OS","483#4382936");
C=B.fN("Call Summary","483#4393254");
C=B.fN("tibemsSSL_System_GetTrace","484");
C=B.fN("tibemsSSL_System_SetFipsMode","485");
C=B.fN("tibemsSSL_System_SetTrace","486");
C=B.fN("tibemsSSL_System_Version","487");
C=B.fN("tibemsSSLParams_System_Create","488");
C=B.fN("tibemsSSLParams_System_Destroy","489");
C=B.fN("tibemsSSLParams_System_SetApplicationId","490");
C=B.fN("tibemsSSLParams_System_SetAuthOnly","491");
C=B.fN("tibemsSSLParams_System_SetCiphers","492");
C=B.fN("tibemsSSLParams_System_SetEnableSSLV3","493");
C=B.fN("tibemsSSLParams_System_SetEnableTLS1","494");
C=B.fN("tibemsSSLParams_System_SetExpectedHostName","495");
C=B.fN("tibemsSSLParams_System_SetKeyRingFile","496");
C=B.fN("tibemsSSLParams_System_SetLabel","497");
C=B.fN("tibemsSSLParams_System_SetLdapServerPassword","498");
C=B.fN("tibemsSSLParams_System_SetLdapServerUrl","499");
C=B.fN("tibemsSSLParams_System_SetLdapServerUserid","500");
C=B.fN("tibemsSSLParams_System_SetVerifyHostName","501");
}
